## org.eclipse.datatools.modelbase.sql.xml.query
Class XMLWhitespaceHandlingType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.xml.query.XMLWhitespaceHandlingType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class XMLWhitespaceHandlingType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XML Whitespace Handling Type', and utility methods for working with them.

See Also:
  `SQLXMLQueryModelPackage.getXMLWhitespaceHandlingType()`, Serialized Form

Field Summary
`static int` `NONE` The 'NONE' literal value.
`static XMLWhitespaceHandlingType` `NONE_LITERAL` The 'NONE' literal object.
`static int` `PRESERE_WHITESPACE` The 'PRESERE WHITESPACE' literal value.
`static XMLWhitespaceHandlingType` `PRESERE_WHITESPACE_LITERAL` The 'PRESERE WHITESPACE' literal object.
`static int` `STRIP_WHITESPACE` The 'STRIP WHITESPACE' literal value.
`static XMLWhitespaceHandlingType` `STRIP_WHITESPACE_LITERAL` The 'STRIP WHITESPACE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'XML Whitespace Handling Type' enumerators.

Method Summary
`static XMLWhitespaceHandlingType` `get(int value)` Returns the 'XML Whitespace Handling Type' literal with the specified integer value.
`static XMLWhitespaceHandlingType` `get(java.lang.String literal)` Returns the 'XML Whitespace Handling Type' literal with the specified literal value.
`static XMLWhitespaceHandlingType` `getByName(java.lang.String name)` Returns the 'XML Whitespace Handling Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRESERE_WHITESPACE

    public static final int PRESERE_WHITESPACE

  The 'PRESERE WHITESPACE' literal value.

  See Also:
    `PRESERE_WHITESPACE_LITERAL`, Constant Field Values

### STRIP_WHITESPACE

    public static final int STRIP_WHITESPACE

  The 'STRIP WHITESPACE' literal value.

  See Also:
    `STRIP_WHITESPACE_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### PRESERE_WHITESPACE_LITERAL

    public static final XMLWhitespaceHandlingType PRESERE_WHITESPACE_LITERAL

  The 'PRESERE WHITESPACE' literal object.

  If the meaning of 'PRESERE WHITESPACE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRESERE_WHITESPACE`

### STRIP_WHITESPACE_LITERAL

    public static final XMLWhitespaceHandlingType STRIP_WHITESPACE_LITERAL

  The 'STRIP WHITESPACE' literal object.

  If the meaning of 'STRIP WHITESPACE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STRIP_WHITESPACE`

### NONE_LITERAL

    public static final XMLWhitespaceHandlingType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XML Whitespace Handling Type' enumerators.

Method Detail

### get

    public static XMLWhitespaceHandlingType get(java.lang.String literal)

  Returns the 'XML Whitespace Handling Type' literal with the specified literal value.

### getByName

    public static XMLWhitespaceHandlingType getByName(java.lang.String name)

  Returns the 'XML Whitespace Handling Type' literal with the specified name.

### get

    public static XMLWhitespaceHandlingType get(int value)

  Returns the 'XML Whitespace Handling Type' literal with the specified integer value.